Skip to main content
`Ctrl`+`K`

# DSSetIdentity

Copy the identity (a diagonal matrix with ones on the diagonal) on the active part of a matrix.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSSetIdentity(DS ds,DSMatType mat)

Logically Collective

## Input Parameters

- ds - the direct solver context

- mat - the matrix to modify

## See Also

DS: Direct Solver (or Dense System), `DSGetMat()`

## Level

intermediate

## Location

src/sys/classes/ds/interface/dspriv.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages